package com.sunxung.factoring.entity.loanmanagement;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.sunxung.factoring.entity.BaseEntity;
import com.sunxung.factoring.entity.financing.payment.PaymentApply;
//import com.sunxung.factoring.entity.project.payment.PaymentApply;

/**
 * <p>
 * 豁免事项跟进和付款关系历史表
 * </p>
 *
 * @author liutao
 * @since 2023-04-25
 */
@TableName("exemption_matters_history")
public class ExemptionMattersHistory extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 付款申请基础ID
     */
    @TableField("payment_apply_id")
    private Long paymentApplyId;

    @TableField("statusId")
    private Integer statusId;

    @TableField(exist = false)
    private PaymentApply paymentApply;

    public Integer getStatusId() {
        return statusId;
    }

    public void setStatusId(Integer statusId) {
        this.statusId = statusId;
    }

    public PaymentApply getPaymentApply() {
        return paymentApply;
    }

    public void setPaymentApply(PaymentApply paymentApply) {
        this.paymentApply = paymentApply;
    }


    public Long getPaymentApplyId() {
        return paymentApplyId;
    }

    public void setPaymentApplyId(Long paymentApplyId) {
        this.paymentApplyId = paymentApplyId;
    }

}
